Loading...
Searching...
No Matches
parsmart.h File Reference
`#include <string>`
`#include <vector>`
`#include <openbabel/babelconfig.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

union | _AtomExpr
union | _BondExpr
struct | BondSpec
struct | AtomSpec
struct | Pattern
struct | ParseState
class | OBSmartsPattern
class | OBSmartsMatcher
class | OBSSMatch

## Namespaces

namespace | OpenBabel

## Typedefs

typedef union OpenBabel::_AtomExpr | AtomExpr
typedef union OpenBabel::_BondExpr | BondExpr

## Functions

void | SmartsLexReplace (std::string &, std::vector< std::pair< std::string, std::string > > &)

## Detailed Description

Daylight SMARTS parser.